IOSS 2.0

Public Member Functions | Public Attributes | List of all members
Ioex::FaceBlock Struct Reference

`#include <Ioex_Internals.h>`

## Public Member Functions
| FaceBlock ()
| FaceBlock (const FaceBlock &other)
| FaceBlock (const Ioss::FaceBlock &other)
FaceBlock & | operator= (const FaceBlock &other)
| ~FaceBlock ()=default
bool | operator== (const FaceBlock &) const
bool | operator!= (const FaceBlock &other) const

## Public Attributes
char | elType [MAX_STR_LENGTH+1] {}
std::string | name {}
entity_id | id {0}
int64_t | entityCount {0}
int64_t | nodesPerEntity {0}
int64_t | edgesPerEntity {0}
int64_t | attributeCount {0}
int64_t | procOffset {0}

## Constructor & Destructor Documentation

## ◆ FaceBlock() [1/3]

Ioex::FaceBlock::FaceBlock | ( |  | ) |
| inline

## ◆ FaceBlock() [2/3]

Ioex::FaceBlock::FaceBlock | ( | const FaceBlock & | other | ) |
| inline

## ◆ FaceBlock() [3/3]

FaceBlock::FaceBlock | ( | const Ioss::FaceBlock & | other | ) |
| explicit

## ◆ ~FaceBlock()

Ioex::FaceBlock::~FaceBlock | ( |  | ) |
| default

## Member Function Documentation

## ◆ operator!=()

bool Ioex::FaceBlock::operator!= | ( | const FaceBlock & | other | ) | const
| inline

## ◆ operator=()

FaceBlock & FaceBlock::operator= | ( | const FaceBlock & | other | ) |

## ◆ operator==()

bool FaceBlock::operator== | ( | const FaceBlock & | other | ) | const

## Member Data Documentation

## ◆ attributeCount

int64_t Ioex::FaceBlock::attributeCount {0}

## ◆ edgesPerEntity

int64_t Ioex::FaceBlock::edgesPerEntity {0}

## ◆ elType

char Ioex::FaceBlock::elType[MAX_STR_LENGTH+1] {}

## ◆ entityCount

int64_t Ioex::FaceBlock::entityCount {0}

## ◆ id

entity_id Ioex::FaceBlock::id {0}

## ◆ name

std::string Ioex::FaceBlock::name {}

## ◆ nodesPerEntity

int64_t Ioex::FaceBlock::nodesPerEntity {0}

## ◆ procOffset

int64_t Ioex::FaceBlock::procOffset {0}

The documentation for this struct was generated from the following files:

- src/exodus/Ioex_Internals.h
- src/exodus/Ioex_Internals.C